#ifndef PSOFIT_CONFIG_HPP
#define PSOFIT_CONFIG_HPP

#include <vector>
#include <cstdio>
#include <utility>
#include <sys/time.h>
#include <cstdlib>
#include <complex>

using namespace std;

typedef complex<double> compx;
const compx I(0, 1);

typedef pair<double,compx>  Point;
typedef pair<double, double> Limit;

const double tp = 2 * M_PI;

/* R_inf, R0, Tau, Alpha, Beta, Td_real, Td_imag */
const int N_PARAMS = 7;

const int    N_ITERS  = 500;
const double ERR_STOP = 0;

#endif
